Import a commercial rent roll CSV
POST
/api/imports/commercial-rent-roll
const url = 'https://api.getvespy.com/api/imports/commercial-rent-roll';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"csv":"example","propertyId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","recoveryCategoryId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","rentCategoryId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/imports/commercial-rent-roll \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "csv": "example", "propertyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "recoveryCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "rentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
csv
required
string
propertyId
required
string format: uuid
recoveryCategoryId
string format: uuid
rentCategoryId
required
string format: uuid
Examplegenerated
{ "csv": "example", "propertyId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "recoveryCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "rentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
leasesCreated
required
integer
recoveryRulesCreated
required
integer
suitesCreated
required
integer
tenantsCreated
required
integer
Examplegenerated
{ "leasesCreated": 1, "recoveryRulesCreated": 1, "suitesCreated": 1, "tenantsCreated": 1}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}